%define name    k3b
%define version 0.5.1
%define release 2mdk

Summary:	CD-Burner for KDE2
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Archiving/Cd burning
Source:		%{name}-%{version}.tar.bz2
Patch1:		k3b-fix-compile.patch.bz2
URL: 		http://k3b.sourceforge.net
Requires: 	cdrecord mkisofs cdrdao
BuildRoot: 	%_tmppath/%{name}-buildroot
BuildRequires:  libid3lib-devel >= 3.8.0 libcdda0-devel
BuildRequires:  kdelibs-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  XFree86-devel


%description
K3b is CD-writing software which intends to be feature-rich and 
provide an easily usable interface. Features include burning 
audio CDs from .WAV and .MP3 audio files, configuring external 
programs and configuring devices. 

%prep

%setup -q
%patch1 -p1


%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --with-qt-dir=%_libdir/qt2 \
            --disable-rpath \
	    --prefix=%_prefix \
	    --mandir=%_mandir \
	    --datadir=%_datadir \
	    --disable-debug 

%make

%install

%makeinstall
install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl K3b "Applications/Archiving/Cd burning"  %buildroot/%_datadir/applnk/Applications/k3b.desktop %buildroot/%_menudir/k3b 

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog README TODO 
%_bindir/*
%_menudir/*
%_datadir/applnk/Applications/*

%dir %_datadir/apps/k3b/
%_datadir/apps/k3b/*
%_datadir/icons/locolor/16x16/apps/*
%_datadir/icons/locolor/32x32/apps/*
%_datadir/icons/hicolor/16x16/apps/*
%_datadir/icons/hicolor/32x32/apps/*
%_datadir/icons/hicolor/48x48/apps/*
%_docdir/HTML/en/k3b/*

%changelog
* Thu Jan  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-2mdk
- added libcdda0-devel to the buildrequires
- rebuild with id3lib 3.8.0pre2.1

* Mon Dec 10 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.5.1-1mdk
- Update code (0.5.1)

* Wed Dec 05 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.5.0-1mdk
- Update code (0.5.0)

* Wed Nov 14 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.4.3-2mdk
- rebuild against libpng3

* Mon Oct 22 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.4.3-1mdk
- updated to 0.4.3

* Mon Oct 22 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.4.2-1mdk
- updated to 0.4.2

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.1-2mdk
- Rebuild

* Mon Jul  9 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.4.1-1mdk
- first package release


